<?php
/**
 *	@package		SendInBlue
 *	@subpackage		messages_fullwidth.php
 *	@version		1.0.0
 *
 *	@author			Branislav Gligorov <branislav.gligorov@itsbg.eu>	
 *	@copyright		Copyright (C) 2018 SendInBlue, All Rights Reserved
 *	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
 */


// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$form = $displayData->getForm();

$fields = $displayData->get('fields') ?: array(
	'subsformmsgoptinerror',
	'subsformmsgcreateerror',
	'subsformmsgcreatesubscriptionsuccess',
	'subsformmsgcreateformsuccess',
	'subsformmsgupdateerror',
	'subsformmsgupdatesubscriptionsuccess',
	'subsformmsgupdateformsuccess',
	'subsformmsgconfirmsubscriptionerrorlink',
	'subsformmsgconfirmsubscriptionerror',
	'subsformmsgconfirmsubscriptionsuccess'
);

?>
<div class="form-vertical">
<?php foreach($fields as $field): ?>
    <div class="control-group">
        <div class="control-label">
            <?php echo $form->getLabel($field); ?>
        </div>
        <div class="controls">
            <?php echo $form->getInput($field); ?>
        </div>
    </div>
<?php endforeach; ?>
</div>
