<?php
 /**
 *	@package		SendInBlue marketing automation plug-in
 *	@subpackage		SendInBlueMA.php
 *	@version		1.0.1
 *
 *	@author			Branislav Gligorov <branislav.gligorov@itsbg.eu>	
 *	@copyright		Copyright (C) 2018 SendInBlue, All Rights Reserved
 *	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
 */

 
 
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemSendInBlueMA extends JPlugin
{
	protected $autoloadLanguage = true;
	
    function onAfterRender()
    {
        $code = $this->params->get('code', '');
        $domain = $this->params->get('emailid', 'auto');
		if (trim($domain) == '') { $domain = 'auto'; }
		
        $app = JFactory::getApplication();
        if ($app->isAdmin()) { return; }

        $javascript = '';
        $buffer = JResponse::getBody();

		$javascript .= '<!-- SendInBlue marketing automation Plugin start -->';
		$javascript .= '<script type="text/javascript">
			(function() {
			    window.sib = { equeue: [], client_key: "' . $code . '" };';
			    /* OPTIONAL: email for identify request*/
		$javascript .= '
			    window.sib.email_id = "' . $domain . '";';
		$javascript .= '
				window.sendinblue = {}; for (var j = ["track", "identify", "trackLink", "page"], i = 0; i < j.length; i++) { (function(k) { window.sendinblue[k] = function() { var arg = Array.prototype.slice.call(arguments); (window.sib[k] || function() { var t = {}; t[k] = arg; window.sib.equeue.push(t);})(arg[0], arg[1], arg[2]);};})(j[i]);}var n = document.createElement("script"),i = document.getElementsByTagName("script")[0]; n.type = "text/javascript", n.id = "sendinblue-js", n.async = !0, n.src = "https://sibautomation.com/sa.js?key=" + window.sib.client_key, i.parentNode.insertBefore(n, i), window.sendinblue.page();
			})();
			</script>';
		$javascript .= '<!-- SendInBlue marketing automation Plugin end -->';

        $buffer = preg_replace("/<\/head>/", "\n\n" . $javascript . "\n\n</head>", $buffer);

        JResponse::setBody($buffer);

        return true;
     }
}
?>